Status: Resolved Start date: 2016-02-21
Priority: Low Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

When going to http://localhost:8000/index.html?url=example_eval/myfile.xml
if the file cannot be found, the user should be displayed an error message, instead currently it does not see anything happening on the
page.

Console currently logs

Failed to load resource: net::ERR_EMPTY_RESPONSE

History
#1 - 2016-02-22 02:39 PM - Nicholas Jillings

Included in dev_main, along with a little on-page explanation of how to solve.

#2 - 2016-02-22 02:39 PM - Nicholas Jillings
- Status changed from New to Resolved

#3 - 2016-02-22 08:29 PM - Giulio Moro
- Status changed from Resolved to In Progress

When running with apache I get something like

FATAL ERROR

The XML validator returned the following errors when decoding your XML file

document.xml:1: parser error : Space required after the Public Identifier
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
^
document.xml:1: parser error : SystemLiteral " or ' expected
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
^
document.xml:1: parser error : SYSTEM or PUBLIC, the URI is missing
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
^

I guess it is trying to parse as XML a 404 html page
http://localhost:8000/index.html?url=example_eval/myfile.xml


#4 - 2016-03-22 01:47 PM - Nicholas Jillings
- Status changed from In Progress to Resolved

Fixed somewhere along the way in dev_main
